Package com.destroystokyo.paper.event.inventory

# Class PrepareResultEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.inventory.InventoryEvent
com.destroystokyo.paper.event.inventory.PrepareResultEvent

Direct Known Subclasses:
  `PrepareAnvilEvent`, `PrepareGrindstoneEvent`, `PrepareSmithingEvent`

public class PrepareResultEvent extends InventoryEvent
Called when an item is put in an inventory containing a result slot

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.inventory.InventoryEvent

`transaction`

## Constructor Summary

Constructors
Constructor
Description
`PrepareResultEvent(@NotNull InventoryView inventory, @Nullable ItemStack result)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable ItemStack`
`getResult()`
Get result item, may be null.
`void`
`setResult(@Nullable ItemStack result)`

### Methods inherited from class org.bukkit.event.inventory.InventoryEvent

`getInventory, getView, getViewers`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrepareResultEvent

public PrepareResultEvent(@NotNull @NotNull InventoryView inventory, @Nullable @Nullable ItemStack result)

## Method Details

### getResult

@Nullable public @Nullable ItemStack getResult()
Get result item, may be null.

Returns:
  result item

### setResult

public void setResult(@Nullable @Nullable ItemStack result)

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Overrides:
  `getHandlers` in class `InventoryEvent`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()